Name:           hyperrogue
Version:        11.3o
Release:        %mkrel 2
Summary:        Roguelike game in a strange, non-Euclidean world
Group:          Games/Adventure
License:        GPLv2+
URL:            https://www.roguetemple.com/z/hyper
Source0:        https://github.com/zenorogue/hyperrogue/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         hyperrogue-11.3o-mga-system-dejavu-ttf.patch
Patch1:         hyperrogue-10.5d-mga-FHS-and-userdir.patch

BuildRequires:  icoutils
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_gfx)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_ttf)
Requires:       %{name}-data >= %{version}
Requires:       fonts-ttf-dejavu

%description
You are a lone outsider in a strange, non-Euclidean world.
As a rogue, your goal is to collect as many treasures as possible.
However, collecting treasures attracts dangerous monsters (on the other hand,
killing the monsters allows more treasures to be generated).
Collecting enough treasure also allows you to find rare magical orbs,
which grant you one-time or time-limited special abilities.

%package data
Summary:        Arch-independent data files for HyperRogue
License:        CC-BY-SA 3.0
BuildArch:      noarch

%description data
This package contains arch-independent data files (CC-BY-SA 3.0 music)
for the HyperRogue game. The binary is provided by %{name}.

%prep
%autosetup -p1

%build
# https://github.com/zenorogue/hyperrogue/issues/135
export CFLAGS="%{optflags} -I/usr/include/SDL"
export CXXFLAGS="%{optflags} -I/usr/include/SDL"
autoreconf -vfi
%configure \
  --bindir=%{_gamesbindir} \
  --datadir=%{_gamesdatadir}
%make_build

%install
%make_install DESTDIR=%{buildroot}

# Icon
icotool -x --output=%{name}.png hr-icon.ico
install -D -m 644 %{name}.png %{buildroot}%{_iconsdir}/hicolor/96x96/apps/%{name}.png

# Desktop entry
mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=HyperRogue
GenericName=Roguelike
Comment=Roguelike game in a strange, non-Euclidean world
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;AdventureGame;
EOF

%files
%license COPYING
%doc changelog.txt README.md
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/96x96/apps/%{name}.png

%files data
%{_gamesdatadir}/%{name}/


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 11.3o-2.mga9
+ Revision: 1839895
- Mageia 9 Mass Rebuild

* Mon Oct 19 2020 akien <akien> 11.3o-1.mga8
+ Revision: 1637062
- Version 11.3o
- Build from GitHub and with autotools

* Sat Feb 15 2020 umeabot <umeabot> 10.5d-2.mga8
+ Revision: 1526125
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Fri Apr 26 2019 akien <akien> 10.5d-1.mga7
+ Revision: 1395395
- Version 10.5d

* Sat Dec 29 2018 luigiwalser <luigiwalser> 10.0c-3.mga7
+ Revision: 1345908
- rebuild for SDL_gfx

* Sun Sep 23 2018 umeabot <umeabot> 10.0c-2.mga7
+ Revision: 1298239
- Mageia 7 Mass Rebuild

* Sun Jul 23 2017 akien <akien> 10.0c-1.mga7
+ Revision: 1129455
- Version 10.0c

* Sun Jun 25 2017 akien <akien> 9.4n-1.mga6
+ Revision: 1108401
- Version 9.4n

* Mon May 08 2017 akien <akien> 9.4g-1.mga6
+ Revision: 1099705
- Version 9.4g

* Sun Mar 26 2017 akien <akien> 9.4c-2.mga6
+ Revision: 1094905
- Fix regression in Patch1
- Install new sound effects
- Version 9.4c

* Thu Aug 11 2016 akien <akien> 8.3j-1.mga6
+ Revision: 1045812
- Version 8.3j (patches rediffed)

* Sat May 28 2016 akien <akien> 7.4h-1.mga6
+ Revision: 1019258
- Version 7.4h

* Thu Feb 11 2016 umeabot <umeabot> 6.6-2.mga6
+ Revision: 954336
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 akien <akien> 6.6-1.mga6
+ Revision: 850970
- Version 6.6

* Mon Mar 09 2015 akien <akien> 5.5a-1.mga5
+ Revision: 818199
- Version 5.5a
- Split data to noarch subpackage
- Now uses system DejaVuSans instead of system Vera
- Add a patch to find data in %%_gamesdatadir and put user files in XDG_DATA_HOME
- Add a patch to limite framerate to 60 fps by default to workaround issue with Intel driver

* Wed Oct 15 2014 umeabot <umeabot> 4.4-3.mga5
+ Revision: 748981
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.4-2.mga5
+ Revision: 680339
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 akien <akien> 4.4-1.mga5
+ Revision: 673594
- Version 4.4

* Tue Feb 25 2014 akien <akien> 4.3-1.mga5
+ Revision: 596894
- imported package hyperrogue

